using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航：调查内容
    /// </summary>
    [Description("导航：调查内容")]
    public class T_SE_SAFE_SURVEY_LIST_POINT : MesEntityBase
    {
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("调查ID")]
        [DataFieldForeignKey("Nav_Safe", "Nav_Points")]
        public Guid SAFE_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_SE_SAFE_SURVEY Nav_Safe { get; set; }
        /// <summary>
        /// 内容ID
        /// </summary>
        [Description("内容")]
        [DataFieldForeignKey("Nav_Point")]
        [FormFieldEdit]
        public Guid? POINT_ID { get; set; }
        /// <summary>
        /// 导航: 内容
        /// </summary>
        [Description("导航: 内容")]
        public T_SE_TEST_ENUM_POINT Nav_Point { get; set; }
    }
}
